Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.

Apache 2.0 & mod_perl 2

[es] :: BSD :: Apache 2.0 & mod_perl 2

[ Pregleda: 3491 | Odgovora: 5 ] > FB > Twit

Postavi temu Odgovori

Autor

Pretraga teme: Traži
Markiranje Štampanje RSS

r3ct0r

Član broj: 163
Poruke: 390



+2 Profil

icon Apache 2.0 & mod_perl 220.10.2007. u 21:23 - pre 151 meseci
Imam mali problem na fbsd-u 6.2 :

pokusavao sam da instaliram neki soft koji mi je trazio noviju verziju perla.
Nakon sto sam to uradio iz portova, kada pokusavam da startujem apache, dobijam sledecu gresku:

Code:

Syntax error on line 14 of /usr/local/apache/conf/httpd.conf:
Cannot load /usr/local/apache/modules/mod_perl.so into server: /usr/local/apache/modules/mod_perl.so: Undefined symbol "apr_bucket_shared_split"


E sad, googlao sam 2 dana ali nista konkretno nisam nasao, reinstalirao sam apache, perl, mod_perl ali i dalje nista ...

moze neko da me uputi kako da resim ovaj problem?

hvala.

[Ovu poruku je menjao r3ct0r dana 20.10.2007. u 22:56 GMT+1]
 
Odgovor na temu

r3ct0r

Član broj: 163
Poruke: 390



+2 Profil

icon Re: Apache 2.0 & mod_perl 220.10.2007. u 23:22 - pre 151 meseci
Zatarabirao sam taj modul da loaduje, ali on mi i sledeci javlja da ne moze da startuje i sledeci i sledeci ...
k`o da ne moze .so file-ove da loaduje? :S
 
Odgovor na temu

richardpl

Član broj: 132101
Poruke: 2
*.math.hr.



Profil

icon Re: Apache 2.0 & mod_perl 222.10.2007. u 16:44 - pre 151 meseci
Što ti kaže:
#ldd /usr/local/apache/modules/mod_perl.so

Vjerojatno si sve krivo updateovao.
 
Odgovor na temu

cveticmilan
System administrator
Beograd

Član broj: 105312
Poruke: 161
*.ricky.verat.net.

Sajt: www.nb.rs


+8 Profil

icon Re: Apache 2.0 & mod_perl 223.10.2007. u 19:25 - pre 151 meseci
Nadam se da si Googlao i do ovog link-a jer tu je sve lepo objasnjeno

http://www.freebsd.org/doc/en_...s/handbook/network-apache.html

Citat:
The Apache/Perl integration project brings together the full power of the Perl programming language and the Apache HTTP Server. With the mod_perl module it is possible to write Apache modules entirely in Perl. In addition, the persistent interpreter embedded in the server avoids the overhead of starting an external interpreter and the penalty of Perl start-up time.

mod_perl is available a few different ways. To use mod_perl remember that mod_perl 1.0 only works with Apache 1.3 and mod_perl 2.0 only works with Apache 2. mod_perl 1.0 is available in www/mod_perl and a statically compiled version is available in www/apache13-modperl. mod_perl 2.0 is avaliable in www/mod_perl2.


Ako ti ni ovo ne pomogne daj postuj logove , grepuj malo pa okaci da vidimo o cemu se radi .

Nezaobilazno stivo za sve u vezi BSD-a je naravno http://www.bsd-srbija.org/dokumentacija/doku.php

Imas sve lepo objasnjeno i iz source i iz portova . Meni kuci radi savrseno .

Evo ti jos dve moje omiljene web lokacije za BSD

http://www.bsdguides.org/guides/
http://www.bsdforums.org/

Mislim da ce ti uz ove lokacije biti potrebno 2 sata a ne dva dana . Pozzzz
 
Odgovor na temu

random
Vladimir Vrzić
Beograd

Član broj: 85
Poruke: 3866
*.adsl-3.sezampro.yu.

Sajt: www.last.fm/user/vrza


+4 Profil

icon Re: Apache 2.0 & mod_perl 227.10.2007. u 15:47 - pre 151 meseci
Vladimire,

probaj da [re]instaliraš port devel/apr. Možda ćeš nakon toga morati da ponovo instaliraš apache i mod_perl.
int rand(void);

Those who do not understand Unix are condemned to reinvent it, poorly.

Upali lampicu — koristi Jabber!
 
Odgovor na temu

r3ct0r

Član broj: 163
Poruke: 390



+2 Profil

icon Re: Apache 2.0 & mod_perl 227.10.2007. u 16:36 - pre 151 meseci
Hvala Vam na podrsci.
Ali resio sam tako sto sam sve "make deinstall clean" sto ima veze sa apachom slicno njemu i sve ispocetka install i sada ferca ok :)
no. problem je isto i bio sto WHM po defaultu ne podrzava apache 2.x nego radi sa 1.3.x .
No. ima resenje i za to, pisao sam im i potreban je neki "update" il` update na poslednju ver. za WHM da bi mogao da radi sa apachom 2.x
Citat:
cPannel can support apache 2.2 but you need to move to the release tree. It should have the installer for apache 2.0.x and 2.2.x in the new easyapache.


Toliko.
 
Odgovor na temu

[es] :: BSD :: Apache 2.0 & mod_perl 2

[ Pregleda: 3491 | Odgovora: 5 ] > FB > Twit

Postavi temu Odgovori

Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.